Page MenuHomePhabricator

Add more locales to tool labs
Closed, ResolvedPublic

Description

Some things in programming languages localise based on the $LANG environment variable. But, if you run locale -a, you will see we have less than 20 languages on Labs.

We don't even have Spanish or Chinese, which have the greatest number of native speakers on Earth.

As a project that serves more than 20 languages, we ought to install more language packs. I propose the addition of more locales in general. For starters, the remaining official languages of the UN: zh_CN, zh_TW, es_ES, and some sort of Arabic. It would be nice to have nl_NL and iw_IL as well.


Version: unspecified
Severity: enhancement

Details

Reference
bz58500

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:23 AM
bzimport added a project: Toolforge.
bzimport set Reference to bz58500.
Sigma created this task.Dec 15 2013, 6:11 AM
scfc added a comment.Dec 17 2013, 6:33 AM
  • Bug 57892 has been marked as a duplicate of this bug. ***

Change 102714 had a related patch set uploaded by coren:
Tool Labs: package installation round

https://gerrit.wikimedia.org/r/102714

Change 102714 merged by coren:
Tool Labs: package installation round

https://gerrit.wikimedia.org/r/102714

Change 102717 had a related patch set uploaded by coren:
Tool Labs: fix he locale

https://gerrit.wikimedia.org/r/102717

Change 102717 merged by coren:
Tool Labs: fix he locale

https://gerrit.wikimedia.org/r/102717

Legoktm removed a subscriber: Legoktm.Apr 16 2018, 5:39 PM